Page MenuHomePhabricator

Phlogiston Bug: [Status Report] Task shows as Status = Done when task was open
Open, NormalPublic13 Story Points

Description

T182319 was resolved on March 8, 2018, but the range of this report is 2017-12-14 to 2018-01-10, so it follows that this task should appear as Status = Open in this particular report.

UPDATE: This is probably a deep architectural/data loading issue with a complex fix.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 2 2018, 8:59 PM

Another: T182321 this one was closed March 2, 2018.

Another: T182235 this one was closed Jan 19, 2018.

Another: T182162 this one was closed Feb 1, 2018.

This one appears to be correct, which is a twist in this particular conundrum: T182059

It was resolved twice, once on Jan 22, 2018, and once on Feb 1, 2018, both outside the range of the report, meaning it was open during the report and that's why it is behaving as expected.

Also behaving correctly: T181138

Resolved Feb 1, 2018, which is outside the report date range, and it shows up in the report as Open, as it should.

Also behaving correctly: T181680

Resolved Feb 27, 2018, which is outside the report date range, and it shows up in the report as Open, as it should.

This task was resolved on the last day of the range, so I'm not sure if it should be showing as Open: T170006

It was reopened some days later and then closed again. Not sure if it is an example of the bug or not.

JAufrecht moved this task from To Be Triaged to Reporting on the Phlogiston board.Jun 29 2018, 5:39 PM
JAufrecht edited projects, added Phlogiston (Reporting); removed Phlogiston.
Vvjjkkii renamed this task from Phlogiston Bug: [Status Report] Task shows as Status = Done when task was open to crdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii removed JAufrecht as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: JAufrecht; removed: Aklapper.
CommunityTechBot renamed this task from crdaaaaaaa to Phlogiston Bug: [Status Report] Task shows as Status = Done when task was open.Jul 2 2018, 2:10 PM
CommunityTechBot assigned this task to JAufrecht.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: Aklapper; removed: JAufrecht.

Debugging notes: Task 182319 has status resolved for all dates. The only sources in the data for status are, a March 7 2018 transaction changing it from open to resolved, and status_at_load = resolved in the maniphest_task row. Interpretation: the range of dates being loaded doesn't include the creation transaction, so Phlogiston has no record of the task's status prior to March 7, and so backfills the missing status with the status_at_load, which is the wrong value for this purpose.

Next steps:

  1. Trace logic for populating status and confirm this analysis.
  2. figure out how to populate the correct status going back. the transaction does have an old_value, but that may not be reliable with the new transaction format adopted in Phabricator this spring. What else could work?
  3. Possible second problem to check into: if the data was correct, it probably shouldn't show up in the status report at all; why does it?
JAufrecht set the point value for this task to 13.Jul 23 2018, 11:25 PM
JAufrecht updated the task description. (Show Details)
JAufrecht removed JAufrecht as the assignee of this task.Jul 27 2018, 11:24 PM
JAufrecht added a subscriber: JAufrecht.

@MBinder_WMF this is one of the known, unfixed data quality bugs

Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptAug 24 2018, 10:56 PM

@JAufrecht Yep, this is one of the blockers to the Web team using Status Report. The temp fix is for me to time the reports perfectly to the day that ends the range, but I can't keep up with that consistently.

I also noticed that "Herald changed the subtype of this task" but don't understand why. Separate, Phab issue.